# Chapter 3 : Linux Monitoring

Back to [Course Introduction](../../README.md)

This the previous chapters, we have spent quite a bit of time understanding operating systems and command line and why it's so important.  </br>
Modern cloud and IT tends to hide or abstract a lot of how servers and operating systems function as well as how they are monitored. </br>
This means engineers often lack the knowledge and expertise on how to dismantle a system and monitor it with bare essential command line tools. </br>

In this chapter we'll take a look at monitoring concepts and introduce a few more command line tools that help us monitor our server. </br>

### 🎬 [Module 1: Introduction to Linux monitoring](../../content/operating-systems/linux/monitoring/README.md)

#### In this module

* Importance of Monitoring
* Monitoring vs Observability
* Resources to monitor: CPU, Memory, Network, Disk
* Monitoring Tools Overview
* Basic Monitoring Commands
* Logs vs Metrics vs Traces & tooling

### 🎬 [Module 2: Linux CPU Monitoring](../../content/operating-systems//linux/monitoring/cpu/README.md)

#### In this module

* Understanding CPU Metrics
* Tools for CPU Monitoring (e.g., top, htop, mpstat)
* Analyzing CPU Usage
* Practical Examples

### 🎬 [Module 3: Linux Memory Monitoring](../../content/operating-systems//linux/monitoring/memory/README.md)

#### In this module

* Understanding Memory Metrics
* Tools for Memory Monitoring (e.g., free, vmstat)
* Analyzing Memory Usage
* Practical Examples

### 🎬 [Module 4: Linux Disk Usage Monitoring](../../content/operating-systems//linux/monitoring/disk/README.md)

#### In this module

* Understanding Disk Metrics
* Tools for Disk Monitoring (e.g., df, du, iostat)
* Analyzing Disk Usage
* Practical Examples

### 🎬 [Module 5: Linux Network Monitoring](../../content/operating-systems//linux/monitoring/network/README.md)

#### In this module

* Understanding Network Metrics
* Tools for Network Monitoring (e.g., iftop, netstat, ss)
* Analyzing Network Usage
* Practical Examples

### ⌛ Module 6: Introduction to Prometheus

#### In this module

*  What is Prometheus
* Concepts of monitoring
* Logs vs Metrics vs Traces 
* Pull vs Push approach
* Installation
* Monitor our Linux server
* Grafana Preview (next module)

### ⌛ Module 7: Introduction to Grafana

#### In this module

*  What if Grafana
* Data sources and concepts 
* Installation & Setup
* Basic queries
* Installing node-exporter dashboard
